## com.ibatis.jpetstore.service
Class AccountService

    java.lang.Object
      com.ibatis.jpetstore.service.AccountService

public class AccountService
extends Object

Date: Mar 6, 2004 11:22:43 PM

Author:
  Clinton Begin

Field Summary
`private AccountDao` `accountDao`
`private com.ibatis.dao.client.DaoManager` `daoManager`
`private static AccountService` `instance`

Constructor Summary
`AccountService()`

Method Summary
`Account` `getAccount(String username)`
`Account` `getAccount(String username, String password)`
`static AccountService` `getInstance()`
`List` `getUsernameList()`
`void` `insertAccount(Account account)`
`void` `updateAccount(Account account)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static final AccountService instance

### daoManager

    private com.ibatis.dao.client.DaoManager daoManager

### accountDao

    private AccountDao accountDao

Constructor Detail

### AccountService

    public AccountService()

Method Detail

### getInstance

    public static AccountService getInstance()

### getAccount

    public Account getAccount(String username)

### getAccount

    public Account getAccount(String username,
                              String password)

### insertAccount

    public void insertAccount(Account account)

### updateAccount

    public void updateAccount(Account account)

### getUsernameList

    public List getUsernameList()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.